curl --request POST \
--url https://apigwuat.corpay.com/cards/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 2,
"cursor": "<string>",
"sortExpression": "<string>",
"customerAccountNumber": "<string>",
"orderReference": "<string>",
"cardTypeIdentifiers": [
123
],
"statusIdentifiers": [
123
],
"filter": {
"partialMatch": true,
"primaryVisualCardNumber": "<string>",
"driverName": "<string>",
"vehicleRegNumber": "<string>"
}
}
'import requests
url = "https://apigwuat.corpay.com/cards/search"
payload = {
"limit": 2,
"cursor": "<string>",
"sortExpression": "<string>",
"customerAccountNumber": "<string>",
"orderReference": "<string>",
"cardTypeIdentifiers": [123],
"statusIdentifiers": [123],
"filter": {
"partialMatch": True,
"primaryVisualCardNumber": "<string>",
"driverName": "<string>",
"vehicleRegNumber": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 2,
cursor: '<string>',
sortExpression: '<string>',
customerAccountNumber: '<string>',
orderReference: '<string>',
cardTypeIdentifiers: [123],
statusIdentifiers: [123],
filter: {
partialMatch: true,
primaryVisualCardNumber: '<string>',
driverName: '<string>',
vehicleRegNumber: '<string>'
}
})
};
fetch('https://apigwuat.corpay.com/cards/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigwuat.corpay.com/cards/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 2,
'cursor' => '<string>',
'sortExpression' => '<string>',
'customerAccountNumber' => '<string>',
'orderReference' => '<string>',
'cardTypeIdentifiers' => [
123
],
'statusIdentifiers' => [
123
],
'filter' => [
'partialMatch' => true,
'primaryVisualCardNumber' => '<string>',
'driverName' => '<string>',
'vehicleRegNumber' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apigwuat.corpay.com/cards/search"
payload := strings.NewReader("{\n \"limit\": 2,\n \"cursor\": \"<string>\",\n \"sortExpression\": \"<string>\",\n \"customerAccountNumber\": \"<string>\",\n \"orderReference\": \"<string>\",\n \"cardTypeIdentifiers\": [\n 123\n ],\n \"statusIdentifiers\": [\n 123\n ],\n \"filter\": {\n \"partialMatch\": true,\n \"primaryVisualCardNumber\": \"<string>\",\n \"driverName\": \"<string>\",\n \"vehicleRegNumber\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://apigwuat.corpay.com/cards/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"limit\": 2,\n \"cursor\": \"<string>\",\n \"sortExpression\": \"<string>\",\n \"customerAccountNumber\": \"<string>\",\n \"orderReference\": \"<string>\",\n \"cardTypeIdentifiers\": [\n 123\n ],\n \"statusIdentifiers\": [\n 123\n ],\n \"filter\": {\n \"partialMatch\": true,\n \"primaryVisualCardNumber\": \"<string>\",\n \"driverName\": \"<string>\",\n \"vehicleRegNumber\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigwuat.corpay.com/cards/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"limit\": 2,\n \"cursor\": \"<string>\",\n \"sortExpression\": \"<string>\",\n \"customerAccountNumber\": \"<string>\",\n \"orderReference\": \"<string>\",\n \"cardTypeIdentifiers\": [\n 123\n ],\n \"statusIdentifiers\": [\n 123\n ],\n \"filter\": {\n \"partialMatch\": true,\n \"primaryVisualCardNumber\": \"<string>\",\n \"driverName\": \"<string>\",\n \"vehicleRegNumber\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"cards": [
{
"additionalEmbossing": "FLEET-01",
"cardDeliveryAddress": {
"companyName": "ACME Ltd",
"addressLines": "Unit 10, Industrial Estate Oxford Road",
"city": "Oxford",
"country": "United Kingdom",
"countryCode": "GBR",
"region": "Oxfordshire",
"zipCode": "OX1 3PA"
},
"cardDeliveryContact": {
"emailAddress": "jane.smith@example.com",
"firstName": "Jane",
"lastName": "Smith",
"middleName": "B",
"mobilePhone": "+447700900124",
"telephone": "+441234567891"
},
"cardIdentifier": 1234,
"cardType": "BE EV",
"driverName": "James Smith",
"fuelProductRestriction": {
"productRestrictionId": 1,
"productRestrictionName": "Fuel Only"
},
"keyIdentifier": "2323s",
"primaryVisualCardNumber": "3080002323232",
"products": [
{
"productId": 101,
"productName": "Car Wash"
},
{
"productId": 102,
"productName": "Lubricants"
}
],
"purchaseCategoryName": "Fuel",
"secondaryCardNumber": "NL-TBE-2323-2323",
"status": {
"id": 1,
"name": "Active"
},
"vehicleRegNumber": "AB12 CDE",
"orderDate": "2026-03-31",
"expiryDate": "2026-03-31"
}
],
"customerAccountNumber": "23444444",
"hasNextPage": true,
"lastPage": false,
"nextCursor": "100",
"totalCount": 125
}{
"errorCode": "ER-001",
"errorDescription": "Invalid request parameters"
}{
"errorCode": "ER-012",
"errorDescription": "The server encountered an unexpected condition and could not complete the request. Please contact Corpay Support."
}Search cards
Search for cards by customer, order reference, card type, status, card number, driver, or vehicle registration, with pagination. Results can be sorted by card status; by default, active cards are listed first.
curl --request POST \
--url https://apigwuat.corpay.com/cards/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 2,
"cursor": "<string>",
"sortExpression": "<string>",
"customerAccountNumber": "<string>",
"orderReference": "<string>",
"cardTypeIdentifiers": [
123
],
"statusIdentifiers": [
123
],
"filter": {
"partialMatch": true,
"primaryVisualCardNumber": "<string>",
"driverName": "<string>",
"vehicleRegNumber": "<string>"
}
}
'import requests
url = "https://apigwuat.corpay.com/cards/search"
payload = {
"limit": 2,
"cursor": "<string>",
"sortExpression": "<string>",
"customerAccountNumber": "<string>",
"orderReference": "<string>",
"cardTypeIdentifiers": [123],
"statusIdentifiers": [123],
"filter": {
"partialMatch": True,
"primaryVisualCardNumber": "<string>",
"driverName": "<string>",
"vehicleRegNumber": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 2,
cursor: '<string>',
sortExpression: '<string>',
customerAccountNumber: '<string>',
orderReference: '<string>',
cardTypeIdentifiers: [123],
statusIdentifiers: [123],
filter: {
partialMatch: true,
primaryVisualCardNumber: '<string>',
driverName: '<string>',
vehicleRegNumber: '<string>'
}
})
};
fetch('https://apigwuat.corpay.com/cards/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigwuat.corpay.com/cards/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 2,
'cursor' => '<string>',
'sortExpression' => '<string>',
'customerAccountNumber' => '<string>',
'orderReference' => '<string>',
'cardTypeIdentifiers' => [
123
],
'statusIdentifiers' => [
123
],
'filter' => [
'partialMatch' => true,
'primaryVisualCardNumber' => '<string>',
'driverName' => '<string>',
'vehicleRegNumber' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apigwuat.corpay.com/cards/search"
payload := strings.NewReader("{\n \"limit\": 2,\n \"cursor\": \"<string>\",\n \"sortExpression\": \"<string>\",\n \"customerAccountNumber\": \"<string>\",\n \"orderReference\": \"<string>\",\n \"cardTypeIdentifiers\": [\n 123\n ],\n \"statusIdentifiers\": [\n 123\n ],\n \"filter\": {\n \"partialMatch\": true,\n \"primaryVisualCardNumber\": \"<string>\",\n \"driverName\": \"<string>\",\n \"vehicleRegNumber\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://apigwuat.corpay.com/cards/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"limit\": 2,\n \"cursor\": \"<string>\",\n \"sortExpression\": \"<string>\",\n \"customerAccountNumber\": \"<string>\",\n \"orderReference\": \"<string>\",\n \"cardTypeIdentifiers\": [\n 123\n ],\n \"statusIdentifiers\": [\n 123\n ],\n \"filter\": {\n \"partialMatch\": true,\n \"primaryVisualCardNumber\": \"<string>\",\n \"driverName\": \"<string>\",\n \"vehicleRegNumber\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigwuat.corpay.com/cards/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"limit\": 2,\n \"cursor\": \"<string>\",\n \"sortExpression\": \"<string>\",\n \"customerAccountNumber\": \"<string>\",\n \"orderReference\": \"<string>\",\n \"cardTypeIdentifiers\": [\n 123\n ],\n \"statusIdentifiers\": [\n 123\n ],\n \"filter\": {\n \"partialMatch\": true,\n \"primaryVisualCardNumber\": \"<string>\",\n \"driverName\": \"<string>\",\n \"vehicleRegNumber\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"cards": [
{
"additionalEmbossing": "FLEET-01",
"cardDeliveryAddress": {
"companyName": "ACME Ltd",
"addressLines": "Unit 10, Industrial Estate Oxford Road",
"city": "Oxford",
"country": "United Kingdom",
"countryCode": "GBR",
"region": "Oxfordshire",
"zipCode": "OX1 3PA"
},
"cardDeliveryContact": {
"emailAddress": "jane.smith@example.com",
"firstName": "Jane",
"lastName": "Smith",
"middleName": "B",
"mobilePhone": "+447700900124",
"telephone": "+441234567891"
},
"cardIdentifier": 1234,
"cardType": "BE EV",
"driverName": "James Smith",
"fuelProductRestriction": {
"productRestrictionId": 1,
"productRestrictionName": "Fuel Only"
},
"keyIdentifier": "2323s",
"primaryVisualCardNumber": "3080002323232",
"products": [
{
"productId": 101,
"productName": "Car Wash"
},
{
"productId": 102,
"productName": "Lubricants"
}
],
"purchaseCategoryName": "Fuel",
"secondaryCardNumber": "NL-TBE-2323-2323",
"status": {
"id": 1,
"name": "Active"
},
"vehicleRegNumber": "AB12 CDE",
"orderDate": "2026-03-31",
"expiryDate": "2026-03-31"
}
],
"customerAccountNumber": "23444444",
"hasNextPage": true,
"lastPage": false,
"nextCursor": "100",
"totalCount": 125
}{
"errorCode": "ER-001",
"errorDescription": "Invalid request parameters"
}{
"errorCode": "ER-012",
"errorDescription": "The server encountered an unexpected condition and could not complete the request. Please contact Corpay Support."
}p50: 220 ms, p99: 1900 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics
Authorizations
Use OAuth2 client credentials to obtain a bearer token.
Token endpoint:
POST <BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token
Use the same base URL as the selected API server:
- Test environment:
https://apigwuat.corpay.com - Production environment:
https://apigw.corpay.com
Example:
curl --location '<BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token' \
--header 'accept: application/json' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id=.......' \
--data-urlencode 'client_secret=......'
Body
Max number of records to return.
x >= 1Pagination cursor from a previous response.
Sort expression, e.g., "createdAt desc".
Customer account identifier.
Order reference to filter by.
Card type identifiers, corresponding to IDs returned by GET /master/all.
Status identifiers, corresponding to IDs returned by GET /master/all.
Filters cards using the supplied card number, driver, and vehicle criteria
Show child attributes
Show child attributes